io.vertx.cassandra

## Interface ResultSet

-     public interface ResultSet

  It is like `AsyncResultSet`, but adapted for Vert.x.
  Author:
    Pavel Drankou, Thomas Segismont

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<List<com.datastax.oss.driver.api.core.cql.Row>>` | `all()` Like `all(Handler)` but returns a `Future` of the asynchronous result.
    `ResultSet` | `all(Handler<AsyncResult<List<com.datastax.oss.driver.api.core.cql.Row>>> handler)` The method should not be used concurrently with others like `fetchNextPage()` or `#one(Handler)`.
    `Iterable<com.datastax.oss.driver.api.core.cql.Row>` | `currentPage()`
    `Future<ResultSet>` | `fetchNextPage()`
    `void` | `fetchNextPage(Handler<AsyncResult<ResultSet>> handler)` Like `fetchNextPage()` but with a direct callback.
    `com.datastax.oss.driver.api.core.cql.ColumnDefinitions` | `getColumnDefinitions()`
    `com.datastax.oss.driver.api.core.cql.ExecutionInfo` | `getExecutionInfo()`
    `boolean` | `hasMorePages()`
    `com.datastax.oss.driver.api.core.cql.Row` | `one()`
    `int` | `remaining()`
    `boolean` | `wasApplied()`

- - ### Method Detail

    - #### all

          Future<List<com.datastax.oss.driver.api.core.cql.Row>> all()

      Like `all(Handler)` but returns a `Future` of the asynchronous result.

    - #### all

          ResultSet all(Handler<AsyncResult<List<com.datastax.oss.driver.api.core.cql.Row>>> handler)

      The method should not be used concurrently with others like `fetchNextPage()` or `#one(Handler)`. This may lead to unexpected result.
      Parameters:
        `handler` - handler called when all the rows is fetched

    - #### getColumnDefinitions

          com.datastax.oss.driver.api.core.cql.ColumnDefinitions getColumnDefinitions()

      See Also:
        `AsyncPagingIterable.getColumnDefinitions()`

    - #### getExecutionInfo

          com.datastax.oss.driver.api.core.cql.ExecutionInfo getExecutionInfo()

      See Also:
        `AsyncPagingIterable.getExecutionInfo()`

    - #### remaining

          int remaining()

      See Also:
        `AsyncPagingIterable.remaining()`

    - #### currentPage

          Iterable<com.datastax.oss.driver.api.core.cql.Row> currentPage()

      See Also:
        `AsyncPagingIterable.currentPage()`

    - #### one

          com.datastax.oss.driver.api.core.cql.Row one()

      See Also:
        `AsyncPagingIterable.one()`

    - #### hasMorePages

          boolean hasMorePages()

      See Also:
        `AsyncPagingIterable.hasMorePages()`

    - #### fetchNextPage

          void fetchNextPage(Handler<AsyncResult<ResultSet>> handler)

      Like `fetchNextPage()` but with a direct callback.

    - #### fetchNextPage

          Future<ResultSet> fetchNextPage()
                                   throws IllegalStateException

      Throws:
        `IllegalStateException`
      See Also:
        `AsyncResultSet.wasApplied()`

    - #### wasApplied

          boolean wasApplied()

      See Also:
        `AsyncResultSet.wasApplied()`

Copyright © 2024 Eclipse. All rights reserved.